# $Id: je.spec 111 2006-09-14 16:00:57Z rasan $

%define	name	je
%define	version	3.0.12
%define release 1rr

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Berkeley DB Java Edition
License:	Sleepycat
Group:		Development/Libraries
Url:		http://www.sleepycat.com/products/je.shtml
Source:		%{name}-%{version}.tar.gz
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Berkeley DB JE is a high performance, transactional storage engine
written entirely in Java. Like the highly successful Berkeley DB
product, Berkeley DB JE executes in the address space of the
application, without the overhead of client/server communication. It
stores data in the application's native format, so no runtime data
translation is required. Berkeley DB JE supports full ACID
transactions and recovery. It provides an easy-to-use interface,
allowing programmers to store and retrieve information quickly,
simply and reliably.

Berkeley DB JE was designed from the ground up in Java. It takes
full advantage of the Java environment. The Berkeley DB JE API
provides a Java Collections-style interface, as well as a
programmatic interface similar to the Berkeley DB API. The
architecture of Berkeley DB JE supports high performance and
concurrency for both read-intensive and write-intensive workloads.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -D -m 0644 lib/je.jar %{buildroot}%{_datadir}/java/je.jar

%clean
rm -rf %{buildroot}

%files
%doc LICENSE README docs examples
%{_datadir}/java/je.jar

%changelog
* Thu Sep 14 2006 Rasan Rasch <rasan@nyu.edu> 3.0.12-1rr
- 3.0.12

* Wed Apr 05 2006 Rasan Rasch <rasan@nyu.edu> 2.1.30-1rr
- Initial RPM release
